package main

import (
	_ "eta/eta_crawler/routers"

	"github.com/beego/beego/v2/server/web"

	"eta/eta_crawler/services"
)

func main() {
	if web.BConfig.RunMode == "dev" {
		web.BConfig.WebConfig.DirectoryIndex = true
		web.BConfig.WebConfig.StaticDir["/swagger"] = "swagger"
	}
	services.Task()
	web.Run()
}
